## gimppalettemenu gimppalettemenu — A widget for selecting palettes. |

## Functions

GtkWidget * | gimp_palette_select_widget_new ()
void | gimp_palette_select_widget_close ()
void | gimp_palette_select_widget_set ()

## Description

A widget for selecting palettes.

## Functions

### gimp_palette_select_widget_new ()

    GtkWidget *
    gimp_palette_select_widget_new (const gchar *title,
                                    const gchar *palette_name,
                                    GimpRunPaletteCallback callback,
                                    gpointer data);

`gimp_palette_select_widget_new` is deprecated and should not be used in newly-written code.

Creates a new GtkWidget that completely controls the selection of a palette. This widget is suitable for placement in a table in a plug-in dialog.

#### Parameters

title | Title of the dialog to use or `NULL` to use the default title. |
palette_name | Initial palette name. |
callback | A function to call when the selected palette changes. |
data | A pointer to arbitrary data to be used in the call to `callback` . |

#### Returns

A GtkWidget that you can use in your UI.

Since: 2.2

### gimp_palette_select_widget_close ()

    void
    gimp_palette_select_widget_close (GtkWidget *widget);

`gimp_palette_select_widget_close` is deprecated and should not be used in newly-written code.

Closes the popup window associated with `widget` .

#### Parameters

widget | A palette select widget. |

Since: 2.2

### gimp_palette_select_widget_set ()

    void
    gimp_palette_select_widget_set (GtkWidget *widget,
                                    const gchar *palette_name);

`gimp_palette_select_widget_set` is deprecated and should not be used in newly-written code.

Sets the current palette for the palette select widget. Calls the callback function if one was supplied in the call to `gimp_palette_select_widget_new()`.

#### Parameters

widget | A palette select widget. |
palette_name | Palette name to set; `NULL` means no change. |

Since: 2.2